# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "anathema-debug"
version = "0.2.12-beta"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Debug utils for Anathema"
homepage = "https://github.com/togglebyte/anathema"
documentation = "https://togglebyte.github.io/anathema-guide/"
readme = false
license = "MIT"
repository = "https://github.com/togglebyte/anathema"

[features]
default = []
filelog = []

[lib]
name = "anathema_debug"
path = "src/lib.rs"

[dependencies]

[lints.clippy]
collapsible_if = "allow"
from_over_into = "allow"
len_without_is_empty = "allow"
new_without_default = "allow"
should_implement_trait = "allow"
too_many_arguments = "allow"
type_complexity = "allow"
wrong_self_convention = "allow"

[lints.rust]
rust_2018_idioms = "deny"
